Package jgromacs.analysis

# Class Angles

java.lang.Object
jgromacs.analysis.Angles

public class Angles extends Object
Collection of methods for analysing angles

## Constructor Summary

Constructors
Constructor
Description
`Angles()`

## Method Summary

Modifier and Type
Method
Description
`static Angle`
`getAngleBetweenPlanes(Point3D A, Point3D B, Point3D C, Point3D D)`
Calculates the angle between two planes defined by points A, B, C and points B, C, D
`static Angle`
`getAngleBetweenVectors(Point3D v1, Point3D v2)`
Calculates the angle between two vectors
`static Angle`
`getDihedralChi1(Structure s, int i)`
Calculates side chain dihedral angle Chi1 of residue #i of a structure The residue can be ARG,ASN,ASP,CYS,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,SER,THR,TRP,TYR or VAL
`static ArrayList<Angle>`
`getDihedralChi1TimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Chi1 of residue #i over a trajectory The residue can be ARG,ASN,ASP,CYS,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,SER,THR,TRP,TYR or VAL
`static Angle`
`getDihedralChi2(Structure s, int i)`
Calculates side chain dihedral angle Chi2 of residue #i of a structure The residue can only be ARG,ASN,ASP,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,TRP or TYR
`static ArrayList<Angle>`
`getDihedralChi2TimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Chi2 of residue #i over a trajectory The residue can only be ARG,ASN,ASP,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,TRP or TYR
`static Angle`
`getDihedralChi3(Structure s, int i)`
Calculates side chain dihedral angle Chi3 of residue #i of a structure The residue can only be ARG,GLN,GLU,LYS or MET
`static ArrayList<Angle>`
`getDihedralChi3TimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Chi3 of residue #i over a trajectory The residue can only be ARG,GLN,GLU,LYS or MET
`static Angle`
`getDihedralChi4(Structure s, int i)`
Calculates side chain dihedral angle Chi4 of residue #i of a structure The residue can only be ARG or LYS
`static ArrayList<Angle>`
`getDihedralChi4TimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Chi4 of residue #i over a trajectory The residue can only be ARG or LYS
`static Angle`
`getDihedralChi5(Structure s, int i)`
Calculates side chain dihedral angle Chi5 of residue #i of a structure The residue can only be ARG
`static ArrayList<Angle>`
`getDihedralChi5TimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Chi5 of residue #i over a trajectory The residue can only be ARG
`static Angle`
`getDihedralOmega(Structure s, int i)`
Calculates dihedral angle Omega of residue #i of a structure
`static ArrayList<Angle>`
`getDihedralOmegaTimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Omega of residue #i over a trajectory
`static Angle`
`getDihedralPhi(Structure s, int i)`
Calculates dihedral angle Phi of residue #i of a structure
`static ArrayList<Angle>`
`getDihedralPhiTimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Phi of residue #i over a trajectory
`static Angle`
`getDihedralPsi(Structure s, int i)`
Calculates dihedral angle Psi of residue #i of a structure
`static ArrayList<Angle>`
`getDihedralPsiTimeSeries(Trajectory t, int i)`
Calculates the time series of dihedral angle Psi of residue #i over a trajectory
`static Jama.Matrix`
`getRamachandranPlot(Structure s)`
Calculates the Ramachandran Plot of a structure
`static ArrayList<Angle>`
`getTorsionAngleTimeSeries(Trajectory t, int atom1, int atom2, int atom3, int atom4)`
Calculates the time series of torsion angle over a trajectory defined by four atoms

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Angles

public Angles()

## Method Details

### getAngleBetweenVectors

public static Angle getAngleBetweenVectors(Point3D v1, Point3D v2)
Calculates the angle between two vectors

Parameters:
  `v1` - first vector
  `v2` - second vector
Returns:
  angle between vectors

### getAngleBetweenPlanes

public static Angle getAngleBetweenPlanes(Point3D A, Point3D B, Point3D C, Point3D D)
Calculates the angle between two planes defined by points A, B, C and points B, C, D

Parameters:
  `A` - point A
  `B` - point B
  `C` - point C
  `D` - point D
Returns:
  angle between planes

### getDihedralPhi

public static Angle getDihedralPhi(Structure s, int i)
Calculates dihedral angle Phi of residue #i of a structure

Parameters:
  `s` - structure
Returns:
  dihedral angle Phi

### getDihedralPsi

public static Angle getDihedralPsi(Structure s, int i)
Calculates dihedral angle Psi of residue #i of a structure

Parameters:
  `s` - structure
Returns:
  dihedral angle Psi

### getDihedralOmega

public static Angle getDihedralOmega(Structure s, int i)
Calculates dihedral angle Omega of residue #i of a structure

Parameters:
  `s` - structure
Returns:
  dihedral angle Omega

### getDihedralChi1

public static Angle getDihedralChi1(Structure s, int i)
Calculates side chain dihedral angle Chi1 of residue #i of a structure The residue can be ARG,ASN,ASP,CYS,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,SER,THR,TRP,TYR or VAL

Parameters:
  `s` - structure
Returns:
  dihedral angle Chi1

### getDihedralChi2

public static Angle getDihedralChi2(Structure s, int i)
Calculates side chain dihedral angle Chi2 of residue #i of a structure The residue can only be ARG,ASN,ASP,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,TRP or TYR

Parameters:
  `s` - structure
Returns:
  dihedral angle Chi2

### getDihedralChi3

public static Angle getDihedralChi3(Structure s, int i)
Calculates side chain dihedral angle Chi3 of residue #i of a structure The residue can only be ARG,GLN,GLU,LYS or MET

Parameters:
  `s` - structure
Returns:
  dihedral angle Chi3

### getDihedralChi4

public static Angle getDihedralChi4(Structure s, int i)
Calculates side chain dihedral angle Chi4 of residue #i of a structure The residue can only be ARG or LYS

Parameters:
  `s` - structure
Returns:
  dihedral angle Chi4

### getDihedralChi5

public static Angle getDihedralChi5(Structure s, int i)
Calculates side chain dihedral angle Chi5 of residue #i of a structure The residue can only be ARG

Parameters:
  `s` - structure
Returns:
  dihedral angle Chi5

### getDihedralPhiTimeSeries

public static ArrayList<Angle> getDihedralPhiTimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Phi of residue #i over a trajectory

Parameters:
  `t` - trajectory
Returns:
  time series of Phi

### getDihedralPsiTimeSeries

public static ArrayList<Angle> getDihedralPsiTimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Psi of residue #i over a trajectory

Parameters:
  `t` - trajectory
Returns:
  time series of Psi

### getDihedralOmegaTimeSeries

public static ArrayList<Angle> getDihedralOmegaTimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Omega of residue #i over a trajectory

Parameters:
  `t` - trajectory
Returns:
  time series of Omega

### getDihedralChi1TimeSeries

public static ArrayList<Angle> getDihedralChi1TimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Chi1 of residue #i over a trajectory The residue can be ARG,ASN,ASP,CYS,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,SER,THR,TRP,TYR or VAL

Parameters:
  `t` - trajectory
Returns:
  time series of Chi1

### getDihedralChi2TimeSeries

public static ArrayList<Angle> getDihedralChi2TimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Chi2 of residue #i over a trajectory The residue can only be ARG,ASN,ASP,GLN,GLU,HIS,ILE,LEU,LYS,MET,PHE,PRO,TRP or TYR

Parameters:
  `t` - trajectory
Returns:
  time series of Chi2

### getDihedralChi3TimeSeries

public static ArrayList<Angle> getDihedralChi3TimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Chi3 of residue #i over a trajectory The residue can only be ARG,GLN,GLU,LYS or MET

Parameters:
  `t` - trajectory
Returns:
  time series of Chi3

### getDihedralChi4TimeSeries

public static ArrayList<Angle> getDihedralChi4TimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Chi4 of residue #i over a trajectory The residue can only be ARG or LYS

Parameters:
  `t` - trajectory
Returns:
  time series of Chi4

### getDihedralChi5TimeSeries

public static ArrayList<Angle> getDihedralChi5TimeSeries(Trajectory t, int i)
Calculates the time series of dihedral angle Chi5 of residue #i over a trajectory The residue can only be ARG

Parameters:
  `t` - trajectory
Returns:
  time series of Chi5

### getTorsionAngleTimeSeries

public static ArrayList<Angle> getTorsionAngleTimeSeries(Trajectory t, int atom1, int atom2, int atom3, int atom4)
Calculates the time series of torsion angle over a trajectory defined by four atoms

Parameters:
  `t` - trajectory
  `atom1` - index of first atom
  `atom2` - index of second atom
  `atom3` - index of third atom
  `atom4` - index of fourth atom
Returns:
  time series of torsion angle

### getRamachandranPlot

public static Jama.Matrix getRamachandranPlot(Structure s)
Calculates the Ramachandran Plot of a structure

Parameters:
  `s` - structure (a polypeptide chain)
Returns:
  (N-2)x2 matrix of (phi,psi) pairs